Page 1 of 1

.Net 3.5 Framework crashes Scrivener?

Posted: Fri Nov 26, 2010 5:35 pm
by Venusian31
I have never been able to get Scrivener to work on my primary laptop, which has XP SP3 installed, is fully updated and has the Microsoft Visual C++ 2008 Redistributable Package installed. It gets an Unhandled Win 32 exception error and crashes every time I try to run it.

Three days ago, I pulled out an old dell laptop I haven't used in over a year. It also has XP on it. I fully updated it and installed the Microsoft Visual C++ 2008 Redistributable Package then installed the Scrivener 1.3 Beta. It actually worked and I was thrilled to be able to finally try out Scrivener.

This morning, I decided to try out the MyNovel 3.0 software. It requires the .Net 3.5 framework. So I installed the .Net framework and then the MyNovel software. Immediately afterward, I tried to open Scrivener so I could compare the two programs side by side and Scrivener would no longer work. It crashed with an unhandled Win 32 exception error, just like it always does on my primary laptop.

I uninstalled both the MyNovel software and the .Net framework and tried running Scrivener after each was uninstalled. It still crashed each time. I ended up having to do a system restore to put my system back to where it was before doing the install. As soon as I did that, Scrivener began working again.

I can't say for sure whether it was the .Net framework or the MyNovel software that broke Scrivener, but I suspect the .Net framework because my main laptop that Scrivener has never worked on DOES have the .Net 3.5 framework on it but it does not and has never had the MyNovel software on it.

I hope this will help you guys figure out why Scrivener won't work on some systems or suddenly stops working on others. I love Scrivener so far, but don't like that I can't install other software for fear that it will somehow break scrivener.

Re: .Net 3.5 Framework crashes Scrivener?

Posted: Fri Nov 26, 2010 10:01 pm
by Spitfire
I'm not sure if it would be the .NET 3.5 software because I have that version installed on my netbook and I've never had issues using Scrivener. However, on my other laptop I could never get Scrivener to work. I have no idea why. I have the distributable package and even upgraded to the latest .NET framework. I'm uninstalling .NET frameworks to see if that does anything.

Re: .Net 3.5 Framework crashes Scrivener?

Posted: Sat Nov 27, 2010 2:14 am
by Venusian31
For me, once the .Net framework and the MyNovel program were installed, unistalling them didn't fix Scrivener. Even uninstalling and reinstalling Scrivener after the other things were removed wouldn't make it work again. It was as if the installation of one or the other made some change to my system that wasn't undone when the programs were uninstalled and whatever that change was is what broke Scrivener. I had to do a system restore in order to put my system back to it's earlier state and then Scrivener worked again.

It's possible that it was the program and not the .Net framework that caused the problem, but that wouldn't explain why Scrivener has never worked on my other laptop which does not have that program installed but does have the .Net framework installed. Of course, if some other program on that laptop made the same changes to that system that the MyNovel program did, it might be what's causing Scrivener not to work on that one.

I just wanted to tell them exactly what was installed on my system that caused Scrivener to suddenly stop working, so maybe they can do some testing by installing that same program on a computer that Scrivener is working on and see if they can get Scrivener to crash in the same way. If they do, it might help them track down what system conditions are contributing to Scrivener not working for some people at all and working for a while and then crashing for others.

Re: .Net 3.5 Framework crashes Scrivener?

Posted: Sun Nov 28, 2010 9:36 pm
by JoGirl
I have XP SP3 and .Net 3.5 framework on my laptop and Scrivener beta is working fine AFAIK.
I just downloaded it to make sure so I could let you know. I do have the redistributable package but mine is dated 2005. FYI